import { TerminalStage } from '../../stages';
/**
 * Return a short-circuiting terminal stage that retrieves the very first element encountered in the pipeline.
 * The pipeline will terminate as soon as an element is found due to its short-circuiting nature, otherwise,
 * `undefined` is returned.
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 */
export declare function findFirst<IN>(): TerminalStage<IN, IN>;
