import { TerminalStage } from '../../stages';
/**
 * Return a terminal stage that finds the mim element in the pipeline. By default, if no comparator
 * function is provided, it assumes every element to be numeric, if at least one element is not numeric,
 * then it will throw an error. If a comparator function is provided, it will use the returned value of
 * the comparator as the min.
 *
 * @param comparator The comparing function that should return the min element between the 2 elements being compared.
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 *
 * @returns
 */
export declare function min<IN>(comparator?: (left: IN, right: IN) => IN): TerminalStage<IN, IN>;
