import { TerminalStage } from '../../stages';
/**
 * Return a terminal stage that checks whether no elements in this pipeline match the provided predicate.
 *
 * @param predicate The predicate used to test if no elements of the pipeline match.
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 *
 * @returns
 */
export declare function noneMatch<IN>(predicate: (element: IN) => boolean): TerminalStage<IN, boolean>;
