import { TerminalStage } from '../../stages';
/**
 * Return a terminal stage that calculates the sum of all elements in this pipeline. It assumes that every element
 * is numeric, otherwise, it will throw an error when at least one element is not numeric.
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 *
 * @returns
 */
export declare function sum<IN extends number>(): TerminalStage<IN, number>;
