import { TerminalStage } from '../../stages';
/**
 * Return a terminal stage that puts each element into a map whose keys are extracted from `keyExtractor` argument.
 *
 * Optionally, each element can be transformed by providing a second argument before being stored in the resulting map.
 *
 * @param keyExtractor The function that instructs this collector how the key is extracted from each element.
 * @param valueMapper The optional argument used to transform the pipeline elements before being stored in the resulting map.
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 * @template OUT The optional type parameter of each grouped element to transform to
 *
 * @returns
 */
export declare function toMap<IN, OUT>(keyExtractor: (element: IN) => any, valueMapper: (element: IN) => OUT): TerminalStage<IN, Map<any, OUT>>;
export declare function toMap<IN>(keyExtractor: (element: IN) => any): TerminalStage<IN, Map<any, IN>>;
