import { TerminalStage } from '../../stages';
/**
 * Return a terminal stage that puts each element into a plain object whose keys are extracted from `keyExtractor` argument.
 *
 * Optionally, each element can be transformed by providing a second argument before being stored in the resulting object.
 *
 * @param keyExtractor The function that instructs this collector how the key is extracted from each element.
 * @param valueMapper The optional argument used to transform the pipeline elements before being stored in the resulting object.
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 * @template OUT The optional type parameter of each grouped element to transform to.
 *
 * @returns
 */
export declare function toObject<IN, OUT>(keyExtractor: (element: IN) => string | number, valueMapper: (element: IN) => OUT): TerminalStage<IN, Record<string, OUT>>;
export declare function toObject<IN>(keyExtractor: (element: IN) => string | number): TerminalStage<IN, Record<string, IN>>;
