import { IntermediateStage } from '../../stages';
/**
 * Return an intermediate stage that lets only unique elements pass through, uniqueness is decided by the provided mapper function.
 *
 * @param mapper The function used to get the value to use for uniqueness evaluation.
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 *
 * @returns
 */
export declare function distinctBy<IN, OUT>(mapper: (element: IN) => OUT): IntermediateStage<IN, IN>;
