import { IntermediateStage } from '../../stages';
/**
 * Return an intermediate stage that discards elements from the pipeline as long as the provided predicate is `true`.
 * As soon as the predicate returns `false`, this stage will no longer execute even if the predicate returns `true`
 * for subsequent elements down the pipeline.
 *
 * @param predicate
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 *
 * @returns
 */
export declare function dropWhile<IN>(predicate: (element: IN) => boolean): IntermediateStage<IN, IN>;
