import { IntermediateStage } from '../../stages';
/**
 * Return an intermediate stage that flattens the inner array returned by the `flatMapper` argument into the pipeline.
 *
 * @param flatMapper A mapper function that returns an array from the upstream pipeline element, the returned array
 *                   is flattened into the pipeline so that each returned array's element will flow through the
 *                   pipeline one by one.
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 * @template OUT The type parameter of each outgoing element to be forwarded to the downstream stage.
 *
 * @returns
 */
export declare function flatMap<IN, OUT>(flatMapper: (element: IN) => OUT[]): IntermediateStage<IN, OUT>;
