import { IntermediateStage } from '../../stages';
/**
 * Return an intermediate stage that skips over a fixed number of elements. As soon as the
 * requested number of elements have been skipped over, the returned stage will no longer run.
 *
 * @param count The number of elements to skip over.
 *
 * @template IN The type parameter of each incoming element in the pipeline.
 *
 * @returns
 */
export declare function skip<IN>(count: number): IntermediateStage<IN, IN>;
